UiPath Documentation
orchestrator
latest
false

Orchestrator API guide

Last updated May 11, 2026

Assets requests

Note:

Global and Per Robot text assets support up to 1,000,000 characters.

Important:
  • $filter queries return the result of a custom filter that uses Name and Description parameters in a contains function.

Retrieving a specific asset

The call below enables you to display all the available information for the asset with the DocAPITest name and 455 Id.

GET

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAsset(robotId='455',assetName='DocAPITest')

Request headers

KeyValue
AuthorizationBearer

Response code

200 OK

Response body

{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}
{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
    "Name": "DocAPITest",
    "ValueType": "Text",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": ""
}

Retrieving a specific asset by name

You can retrieve a specific asset by its name using the GetAssetByName endpoint. This is useful when you already know the asset name and want to fetch its value outside of an automation workflow.

GET

/api/Assets/name/{name}/value

Request headers

KeyValue
AuthorizationBearer
X-UIPATH-OrganizationUnitIdFolder Id

Example request

GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}
GET /api/Assets/name/Testing/value
Authorization: Bearer {access_token}
X-UIPATH-OrganizationUnitId: {folderId}

Response code

200 OK

Response body

{
  "Name": "Testing",
  "ValueType": "Credential",
  "Value": "username: Testing",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "SecretValue": "",
  "CredentialUsername": "Testing",
  "CredentialPassword": "Testing",
  "ExternalName": null,
  "CredentialStoreId": 1,
  "KeyValueList": [],
  "ConnectionData": null,
  "Id": 1
}
{
  "Name": "Testing",
  "ValueType": "Credential",
  "Value": "username: Testing",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "SecretValue": "",
  "CredentialUsername": "Testing",
  "CredentialPassword": "Testing",
  "ExternalName": null,
  "CredentialStoreId": 1,
  "KeyValueList": [],
  "ConnectionData": null,
  "Id": 1
}

Retrieving per robot assets

To perform a GET request to the /odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId() endpoint, you need to provide the robotId and assetName in the URL. Please note that only the username is returned for Per Robot credential assets, as you can see in the example below.

GET

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets/UiPath.Server.Configuration.OData.GetRobotAssetByRobotId(robotId=193,assetName='Testing')

Request headers

KeyValue
AuthorizationBearer

Response code

200 OK

Response body

{
  "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}
{
  "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#UiPath.Application.Dto.Assets.RobotAssetDto",
  "Name": "Testing",
  "ValueType": "Credential",
  "StringValue": "",
  "BoolValue": false,
  "IntValue": 0,
  "CredentialUsername": "DocBot",
  "CredentialPassword": ""
}

Adding an asset

The following example enables you to create a new global asset, of type text.

POST

{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/Assets

Request headers

KeyValue
AuthorizationBearer

Request body

{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}
{
    "Name": "DocAPITest",
    "ValueScope": "Global",
    "ValueType": "Text", 
    "StringValue": "An asset added through an API call"
}

Response code

200 OK

Response body

{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}
{
    "@odata.context": "{AutomationCloudURL}/{organizationName}/{tenantName}/orchestrator_/odata/$metadata#Assets/$entity",
    "Name": "DocAPITest",
    "CanBeDeleted": true,
    "ValueScope": "Global",
    "ValueType": "Text",
    "Value": "An asset added through an API call",
    "StringValue": "An asset added through an API call",
    "BoolValue": false,
    "IntValue": 0,
    "CredentialUsername": "",
    "CredentialPassword": "",
    "Id": 455,
    "KeyValueList": []
}

Was this page helpful?

Connect

Need help? Support

Want to learn? UiPath Academy

Have questions? UiPath Forum

Stay updated